Summary: GPS mapping and management tool
Name: qmapshack
Version: 1.6.1
Release: %mkrel 1
Group: File tools
License: GPLv3+ and BSD
URL: https://bitbucket.org/maproom/qmapshack/wiki/Home
Source0: https://bitbucket.org/maproom/%{name}/downloads/%{name}-%{version}.tar.gz
# needed for F-20
Patch0: qmapshack-0.11.0-cmake28.patch
# use planetsplitter from routino package
Patch1: qmapshack-1.3.1-system-routino.diff
Requires: proj
Requires: gdal
Requires: routino
BuildRequires: cmake
BuildRequires: pkgconfig(Qt5Widgets)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Xml)
BuildRequires: pkgconfig(Qt5Script)
BuildRequires: pkgconfig(Qt5Sql)
BuildRequires: pkgconfig(Qt5WebKitWidgets)
BuildRequires: qttools5
#BuildRequires: pkgconfig(Qt5CLucene)
BuildRequires: qt5clucene-devel
BuildRequires: pkgconfig(Qt5Designer)
BuildRequires: pkgconfig(Qt5Help)
BuildRequires: pkgconfig(Qt5DBus)
BuildRequires: proj-devel
BuildRequires: gdal-devel
BuildRequires: zlib-devel
BuildRequires: jpeg-devel
BuildRequires: pkgconfig(libdmtx)
BuildRequires: pkgconfig(libexif)
# gpsd-devel < pulls in qt4 cruft
# qtsoap-devel < pulls in qt4 cruft
BuildRequires: desktop-file-utils
BuildRequires: routino
BuildRequires: routino-devel
BuildRequires: pkgconfig(xerces-c)

%description
QMapShack provides a versatile tool for GPS maps in GeoTiff format as well as
Garmin's img vector map format. You can also view and edit your GPX tracks.
QMapShack is the successor of QLandkarteGT.

Main features:
- use of several work-spaces
- use several maps on a work-space
- handle data project-oriented
- exchange data with the device by drag-n-drop

%prep

%setup -q
%patch0 -p1
%patch1 -p1

%build
%cmake -DBUILD_SHARED_LIBS:BOOL=OFF ..
%make VERBOSE=1

%install
cd build
%makeinstall_std

# fix desktop validation
sed -i s+Geography+Science\;Geography+ %{buildroot}%{_datadir}/applications/%{name}.desktop
sed -i s+tracks+tracks\;+ %{buildroot}%{_datadir}/applications/%{name}.desktop
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%license LICENSE
%doc changelog.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/QMapShack.png
%{_datadir}/icons/hicolor/32x32/apps/QMapShack.png
%{_datadir}/icons/hicolor/48x48/apps/QMapShack.png
%{_datadir}/icons/hicolor/scalable/apps/QMapShack.svg
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.*



%changelog
* Fri May 20 2016 eatdirt <eatdirt> 1.6.1-1.mga6
+ Revision: 1017164
- Upgrade to version 1.6.1

* Fri May 20 2016 tv <tv> 1.4.0-3.mga6
+ Revision: 1017112
- rebuild for new libproj

* Sun Jan 10 2016 wally <wally> 1.4.0-2.mga6
+ Revision: 920931
- rebuild for new gdal

* Tue Nov 17 2015 oden <oden> 1.4.0-1.mga6
+ Revision: 903781
- 1.4.0

* Sun Sep 20 2015 oden <oden> 1.3.1-1.mga6
+ Revision: 881886
- imported package qmapshack

